Subject: bug#78520: 31.0.50; Performance issue in dired+isearch with dired-isearch-filenames

From: Michael Heerdegen <[email-masked]>
Date: Sun, 25 May 2025 22:38:03 +0200

Eli Zaretskii <[email-masked]> writes:

> Thanks.  I guess this means users of this feature will have to live
> with the slowdown.

Probably.  We could, of course, try to improve things a bit.

I don't recall all cases where this slow kind of doing things is
necessary.  Do you, Juri?

Maybe it would be possible to use a faster, but equivalent, algorithm
when possible, e.g. whenever using a non-regexp filename search.  I have
been experimenting with this approach locally, but I don't know if I'm
breaking any use cases.  It might be worth trying at least - the
performance in large buffers can be a pain.

Michael.